org.apache.catalina.users

## Class MemoryRole

- java.lang.Object
- - org.apache.catalina.users.AbstractRole
  - - org.apache.catalina.users.GenericRole<MemoryUserDatabase>
    - - org.apache.catalina.users.MemoryRole

- All Implemented Interfaces:
    Principal, Role

      public class MemoryRole
      extends GenericRole<MemoryUserDatabase>

  Concrete implementation of `Role` for the `MemoryUserDatabase` implementation of `UserDatabase`.

  Since:
    4.1
  Author:
    Craig R. McClanahan

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.users.GenericRole

      `database`

    - ### Fields inherited from class org.apache.catalina.users.AbstractRole

      `description, rolename`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Return a String representation of this role in XML format.

    - ### Methods inherited from class org.apache.catalina.users.GenericRole

      `equals, getUserDatabase, hashCode, setDescription, setRolename`

    - ### Methods inherited from class org.apache.catalina.users.AbstractRole

      `getDescription, getName, getRolename`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Method Detail

    - #### toString

          public String toString()

      Return a String representation of this role in XML format.

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.